Bug 511310 - socat should build with compat-readline5-devel
socat should build with compat-readline5-devel
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: socat (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Paul Wouters
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 511295
  Show dependency treegraph
 
Reported: 2009-07-14 12:28 EDT by Miroslav Lichvar
Modified: 2010-02-19 19:24 EST (History)
1 user (show)

See Also:
Fixed In Version: socat-1.7.1.2-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-30 16:27:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Suggested patch (1.16 KB, patch)
2009-07-14 12:28 EDT, Miroslav Lichvar
no flags Details | Diff

  None (edit)
Description Miroslav Lichvar 2009-07-14 12:28:26 EDT
Created attachment 351632 [details]
Suggested patch

Description of problem:
The readline package in rawhide will be soon updated to new 6.0 release which changes the license to GPLv3+. As socat is GPLv2, it should be built with the older readline (packaged in compat-readline5) to avoid licensing incompatibility or switched to libedit which is compatible with GPLv3, but doesn't support UTF-8.
Comment 1 Bug Zapper 2009-11-16 05:51:28 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Paul Wouters 2010-01-29 12:13:24 EST
Odd, I hadn't seen these before on "My bugzilla" page. Nor did I receive any emails regarding these. If it hadn't been for Steve emailing me these pointers, I'd still not have known. I'm active in fedora-devel and irc, please next time email me directly or ping me on irc before starting such a procedure? Thanks.

I will take care of the socat issues today.
Comment 3 Fedora Update System 2010-01-30 16:23:44 EST
socat-1.7.1.2-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/socat-1.7.1.2-1.fc12
Comment 4 Fedora Update System 2010-02-19 19:24:18 EST
socat-1.7.1.2-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.